@charset "utf-8";
/*==================================================
    ハンバーガーボタン意匠：下側に「MENU/CLOSE」表示
===================================================*/

/*ボタン外側*/
.hamburger-btn{
	position: relative;			/*ボタン内側の基点となるためrelativeを指定*/
	background: var(--Primary-color);
	cursor: pointer;				/* ヒットチェック領域指定 */
    width: 38px;
    height:38px;
		border: var(--Secondary-color) 2px solid;
		border-radius: 5px;
}

/*ボタン内側*/
.hamburger-btn span{
    display: inline-block;
    transition: all .4s;/*アニメーションの設定*/
    position: absolute;
    left: 10px;
    height: 2px;
    border-radius: 5px;
		background: #fff;
		width: 45%;
  }

/* ==== 以下は、ボタンサイズを変更するなら合わせて設定値を調整要 ==== */
/* ボタン内の３本線 */
.hamburger-btn span:nth-of-type(1) {
	top:8px;								/* １本目の線の天井からの距離 */
}
.hamburger-btn span:nth-of-type(2) {
	top:14px;								/* ２本目の線の天井からの距離 */
}
.hamburger-btn span:nth-of-type(3) {
	top:20px;								/* ３本目の線の天井からの距離 */
}
.hamburger-btn span:nth-of-type(3)::after {
	content:"Menu";					/*3つ目の要素のafterにMenu表示を指定*/
	position: absolute;
	top:1px;
	left:-6px;
	color: #fff;
	font-size: 0.6rem;
	text-transform: uppercase;
}
/*activeクラスが付与されると線が回転して×になり、Menu⇒Closeに変更*/
.hamburger-btn.active span:nth-of-type(1) {
    top: 10px;
    left: 10px;
    transform: translateY(6px) rotate(-45deg);
    width: 40%;
}
.hamburger-btn.active span:nth-of-type(2) {
	opacity: 0;
}
.hamburger-btn.active span:nth-of-type(3){
    top: 22px;
    left: 10px;
    transform: translateY(-6px) rotate(45deg);
    width: 40%;
}
.hamburger-btn.active span:nth-of-type(3)::after {
	content:"Close";			/*3つ目の要素のafterにClose表示を指定*/
    transform: translateY(0) rotate(-45deg);
	top:0px;
	left:0px;
}

/*========= レイアウトのためのCSS ===============*/
body{
	background:#f3f3f3;
    padding:20px;
}

a{
	color: #333;
	text-decoration: none;
}

.lead{
	margin:20px 0 0 0;
}